<?php
require_once __DIR__ . '/../AbstractRestController.php';
class RouteeSaveurlsModuleFrontController extends AbstractRestController
{
    /**
     * @return array|false|string
     */
    protected function processPostRequest()
    {
        $response = [];
        try {
            $postData = json_decode(Tools::file_get_contents('php://input'), true);
            if (isset($postData['data'])) {
                foreach ($postData['data'] as $data) {
                    $type = strtoupper($data['type']);
                    Configuration::updateValue('PS_ROUTEE_' . $type, $data['url']);
                }
                $response = ['success' => 'yes', 'msg' => 'Urls updated in respective store.', 'baseurl' => _PS_BASE_URL_.__PS_BASE_URI__];
            }
        } catch (PrestaShopException $prestaShopException) {
            $response = ['success' => 'yes', 'msg' => $prestaShopException->getMessage()];
        }

        return json_encode($response);
    }
}